import { PreparerQuestion, PluginCreateOptions, PluginPreparer } from "reg-suit-interface";
import { GhApiPluginOption } from "./gh-api-notifier-plugin";
export interface GhApiPreparerOption {
    ghHostname: string;
    owner: string;
    repository: string;
    token: string;
}
export declare class GhApiPreparer implements PluginPreparer<GhApiPreparerOption, GhApiPluginOption> {
    inquire(): PreparerQuestion[];
    prepare({ options: { ghHostname, owner, repository, token } }: PluginCreateOptions<GhApiPreparerOption>): Promise<GhApiPluginOption>;
}
