"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GithubCommentClient = void 0;
const gh_api_notifier_plugin_1 = require("./gh-api-notifier-plugin");
const gh_api_preparer_1 = require("./gh-api-preparer");
var gh_gql_client_1 = require("./gh-gql-client");
Object.defineProperty(exports, "GithubCommentClient", { enumerable: true, get: function () { return gh_gql_client_1.GhGqlClient; } });
const factory = () => {
    return {
        notifier: new gh_api_notifier_plugin_1.GhApiNotifierPlugin(),
        preparer: new gh_api_preparer_1.GhApiPreparer(),
    };
};
exports.default = factory;
//# sourceMappingURL=index.js.map